---
title: "Get reporting settings"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/settings`

## Path parameters

- `id` (`entity-get-reporting-settings.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/settings'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/settings';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/settings"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",
  "autoCreatePeriods": true,
  "periodsInAdvance": 0,
  "reminderDays": 0,
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

- `entityId` (`entity-get-reporting-settings.response.200.entityId`; string, required)
  - format `uuid`
- `updatedAt` (`entity-get-reporting-settings.response.200.updatedAt`; string, required)
  - format `date-time`
- `templateId` (`entity-get-reporting-settings.response.200.templateId`; string, optional, nullable)
  - format `uuid`
- `autoCreatePeriods` (`entity-get-reporting-settings.response.200.autoCreatePeriods`; boolean, optional, nullable)
- `periodsInAdvance` (`entity-get-reporting-settings.response.200.periodsInAdvance`; integer, optional, nullable)
- `reminderDays` (`entity-get-reporting-settings.response.200.reminderDays`; integer, optional, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.400.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.401.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.403.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.404.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.409.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.422.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.429.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.500.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get-reporting-settings.response.503.error`; object, required)
  - `code` (`entity-get-reporting-settings.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get-reporting-settings.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get-reporting-settings.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get-reporting-settings.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-get-reporting-settings/index.md
